package com.wdkl.ncs.android.component.hello.launch

import com.enation.javashop.android.jrouter.external.annotation.Router
import com.wdkl.ncs.android.component.hello.di.DaggerHelloComponent
import com.wdkl.ncs.android.component.hello.di.HelloComponent
import com.wdkl.ncs.android.lib.base.BaseLaunch
import com.wdkl.ncs.android.middleware.di.DaggerManager

@Router(path = "/hello/launch")
class HelloLaunch : BaseLaunch() {
    companion object {
        lateinit var component:HelloComponent
    }

    override fun moduleInit() {
        component = DaggerHelloComponent
                .builder()
                .applicationComponent(DaggerManager.APPLICATION_COMPONENT)
                .build()
    }
}